Subject: Re: [PATCH 0/21] Reliable Datagram Sockets (RDS)

From: Roland Dreier <[email-masked]>
Date: Wed, 28 Jan 2009 14:37:25 -0800

> This patchset adds support for RDS as an Infiniband ULP. RDS is an
 > Oracle-originated protocol used to send IPC datagrams (up to 1MB) reliably,
 > and is used currently in Oracle RAC and Exadata products. It's lived
 > in OFED for 2+ years and I think it's time to get it upstream -- most
 > likely into your -next tree for .30, but if it snuck into .29 via the
 > "new code merge-window exception" then even better.

I'll read this over and comment, but to be honest I agree with Dave:
this is a new socket family, and as such it belongs under net/ and
probably should go through Dave's tree (just as the NFS/RDMA changes
went through the NFS trees and the 9p/RDMA changes went through the 9p
tree); even though it heavily uses RDMA I think the upper layer
interface to sockets/networking is more relevant.

 - R.